AutoCAD Inventor :: ILogic Driven Part Not Updating After Parameter Change
Jul 26, 2013
I have a flange that I use iLogic and the parameters list to update the different styles. My problem is that my flange won't update until after I hit save and update. My other square flange is not this way. As soon as I change the parameter in my square flange it immediately updates. Is there anyway I can get my round flange to update immediately like my square flange? I attached pictures below.
View 1 Replies
ADVERTISEMENT
Apr 1, 2013
I`m looking for the iLogic code that can change one parameter (user defined) for each (ipt) part in assembly (iam)
The one below doesn`t work.
Sub Main Dim oApp As Inventor.Application = ThisApplication Dim oAssy As Inventor.AssemblyDocument = oApp.ActiveDocument For Each oSubDoc as Inventor.Document In oAssy.AllReferencedDocuments On Error Resume Next Parameter(oSubDoc, "FH") = 15.26 Next End Sub
View 5 Replies
View Related
Oct 1, 2013
The commented code does not work. I want to be able to open a part and change its size parameters before i open the assembly. this code will run as an external rule in a new empty file.
If i can do it without opening the part, that is even better. Test can I open a part, change a param, then close part.
Dim fname As String
fname ="C:Workspacemy_progchanF_BB_L.ipt"
Dim pDoc as PartDocument = ThisApplication.Documents.Open(fname,False)
pDoc = ThisApplication.Documents.Open(fname)
These are just attempts to find a syntax that works. I need the method to change the parameter.
'param = pDoc.PartComponentDefinition.Parameter.Param("TKNS")
'pdoc.parameter.Param("TKNS") = 8
pdoc.Save
pdoc.Close
View 4 Replies
View Related
Oct 24, 2013
I have a multi body part that I componented into an assembly. I am trying to get the assembly parameter in this case, "Height" to drive the parameters in the part model. I think I am using the right code but I get an error when I run the rule.
View 5 Replies
View Related
Mar 19, 2012
Im quite new to customizing inventor and have been playing around with I-logic. I can get I-logic to enter values into existing ipt paramaters when run from a rule within the idw. I can also get I-logic to create a custom Paramater within the ipt using some copied API code, however I dont know my way around API at all yet. So...
I was wondering if it was possible to create a custom part parameter from an ilogic rule run in an idw with that ipt featured?
View 4 Replies
View Related
Jul 8, 2013
I have a spreadsheet and iLogic driven mater assy to generate different iterations.
I would like to change the scale of a base view on a drawing based on a parameter in my assembly. The idea is to get iLogic to change the view using a simple If / Else statement.
This is what I tried:
If Parameter("0 Generic Assembly v2.2.iam.BP") < 1570 Then
ActiveSheet.View("VIEW1").Scale = 1/8
Else
ActiveSheet.View("VIEW1").Scale = 1/10
EndIf
So basically the value of "BP" parameter (excel parameter in my assy) would drive the scale of the views. But its not working. Is it actually a sensible method? Can I use in the drawing environment the excel parameters in my assembly?
This is the error message I get when the rule is run:
"Error in rule: View Scale, in document: 0 Generic Assembly v2.2.idw
Unspecified error (Exception from HRESULT: 0x80004005 (E_FAIL))"
Also using the same thinking I use iLogic to populate the drg number field on the drawing based on an excel parameter. The rule works but does not always updates the drawing no upon the parameter change or update/rebuild commands.
View 1 Replies
View Related
Mar 26, 2013
When I import a part from content center, a tube in this case, I get a length parameter called <PL>.
I am using this parameter in the parts lists, so it shows "=Outer diameter x thickness x <PL>"
However I don't want trailing zeros, leading zeros or units string to be shown.
I know I can open the parameters window, right click the parameter, then click custom property format and then uncheck these boxes and its fine.
But I want to know if there is a smarter way to do this, like creating a rule to execute on all the parts?
I have around 500 pipes with the parameter <PL> that needs to be changed.
View 6 Replies
View Related
Aug 23, 2012
I have a users who cannot change parameter values for iLogic unless user is a local admin on the workstation. This machine has just been upgrade to Inventor 2013.
View 1 Replies
View Related
Jul 26, 2012
this code works for parts. But how to change it that it works for assembly? I would like to select a part and than change the value.
m_invApp = GetObject(, "Inventor.Application")
' Get the Parameters object. Assumes a part or assembly document is active.
Dim oParameters As Parameters
oParameters = m_invApp.ActiveDocument.ComponentDefinition.Parameters
[code]........
View 5 Replies
View Related
May 2, 2012
I have a driven dimension in the attached part. If I change something in the part that affects the dimension it won't update unless I double click it to get the edit dimension dialog and then confirm it.
Changing the contour flange's length will affect the driven dimension which can be found in sketch5 under cut1.
View 1 Replies
View Related
Oct 18, 2011
I am in the process of compiling a parameter driven sprocket. I just download the model from the CBLISS website these items are spreadsheet driven and they conflict with the MRP system interface we are using here.
All my formulas seem to be going nicely until I have to enter the square factor into the formula. [i.e. (d0)^2 or powr ((d0):2)]
It just will not accept syntax function. I have an idea the problem my lay in the unit types in the equation or the previous equations.
The formula I am trying to achieve is
Hr = sqrt(Fr^2-(1.4ul*DR-0.5ul*PITCH)^2)
Refer to JPG for clearer picture as to where I am coming unstuck.
View 3 Replies
View Related
Oct 4, 2012
To create my new part, i used the deriven part of another part, and used only ‘Body as work surface’ before inserting in my new part.
When I create the drawing of my new part, why is it that I still see all the ‘Body work surfaces’ of the direven part?
When I make it on my other computer I dont see it... so it is surely an option…
View 1 Replies
View Related
May 15, 2012
We are having issues with text height and variations depending on how the text is added.
I am currently adding etching to sheet metal parts by using the user parameters (which are driven by 3rd party source, excel file) and using a cut extrusion -1mm.
We have developed a marco which detects the shape of each letter and adds etching to our sheet metal program manually. We do this to get rid of the double lines when you cut text into a part. Our process is design in Inventor, unfold then convert to DXF 2004, where we import to our SM programming package (Radan).
I have noticed that when using 10mm simplex if the text is driven by parameters and 10 point text is selected the charecter height is 9.9928mm, however if the text is added manually it measures 10mm exactly. Why is this happening? It is probably of no concern to most, but we would need to add extra charecters to our macro to account for the descrepency, and in turn would take the macro longer to run.
When the text is added by user parameters, you can briefly see the 10mm text height flash to 9.99mm when finishing the edit sketch. Changing this to 10mm again has no effect.
what is causing this, or have any alternative ways of adding 10mm simplex single line etching to a dxf from an Inventor 2012 SM part?
View 5 Replies
View Related
Oct 2, 2012
I noticed some errors in certain table entries in an i Feature of mine after I had already started creating parts using it. I've updated the table and when I add new instances of the feature to my part they work fine, but the existing instances of it stay the same size. Is there any way to force the existing instances to update?
The i Feature in question is a sketch and I'm using Inventor 2012, if either of those is relevant.
View 2 Replies
View Related
Jul 25, 2012
Before using iLogic, I created lot of iAssembly and iPart. I could change iPart factory member when I need in iAssembly.Now, I want to move everything to iLogic.
how could I change the part by iLogic code?
For example:
I generated "Part1.ipt" and "Part2.ipt",...... (I have hundred of member)
In my assembly, sometimes, I need use Part1.ipt, sometimes I need use Part2.ipt.
Which is the iLogic Code I should to use?
Inventor 2009, WIN XP.
Autodesk Inventor Professional 2013 (64 Bit) SP2
Windows 7 Professional Service Pack 1
Intel(R) Xeon(R) CPU E5645
12.0 GB Memory
View 9 Replies
View Related
Jan 27, 2013
I got this code earlier from Curtis_Waguespack, and i would like to add a setting... When i run this rule it Derives the assembly, but LOD is set to Master, i would like it to be set to my own (Configurator) LOD...
I don't seem to be able to find anything in this code, that defines LOD...
So far im doing ok with the standard ilogic code, but when it´s API or VBA code im lost.. which leads me to this.. i've been searching the forum back and forth to find a code that performs the feature "Shrinkwrap", and somehow everything i have found so far does not work... even the code example in Inventors help menu under programming, Therefore im trying to solve this with Curtis's code as staring point..
'set a reference to the assembly component definintion.'this assumes an assembly document is open.Dim oAsmCompDef As AssemblyComponentDefinitionoAsmCompDef = ThisApplication.ActiveDocument.ComponentDefinition 'define the path and file nameDim sPathandName As StringsPathandName = ThisDoc.PathAndFileName(False)
[Code] .......
View 9 Replies
View Related
Jul 1, 2013
I have a parent assembly that contains multiple sub assemblies, two of which need to synchronize with each other.In the parent assembly, I have created a user form that controls the sizes and quantities of all the different sub assemblies.
Sub assembly 1 contains a bracket for supporting 4 rows of pipes.Based on the width selected from the main parent assembly, the length of this bracket can vary.
The spacing of the 4 mounting positions is also determined from the length of the bracket.Sub assembly 2 is an assembly containing all the pipes.The pipes are spaced apart to suit the bracket using a component pattern, and it is this distance that I want to control from the parent assembly.This is just one of the basic scripts I've tried.
Pipe_Spacing=Parameter("SubAssembly1:1", "Pipe_Spacing_A")
Parameter("Piping assembly:1", "Pipe_Spacing_B")=Pipe_Spacing
Pipe_Spacing_A is the spacing of the bracket
Pipe_Spacing_B is the component pattern in the piping assembly
Pipe_Spacing is the parameter in the parent assembly to be driven by the bracket parameters.
I have very little iLogic experience & have being learning as I go along with this project.My best guess is that the code can't loop back on itself. On a slightly different note, I have also noticed that the sub assemblies don't update properly.
If I adjust the width to X and regenerate the model, some of the sub assembly updates. To fully update, I have to go back into the user form, change the size to Y & then change it back again to X and then regenerate.
View 1 Replies
View Related
Oct 21, 2013
I'm slowly getting there with iLogic, so I'm really just looking for the function / call to change one part from Frame Generator, to another part from Frame Generator.
Product Design Suite Premium 2014
Inventor 2014 Professional
Windows 7 Professional 64 bit
Intel Xeon E3-1240 @ 3.4 ghz
Nvidia Quadro 600
8.00 gb RAM
View 2 Replies
View Related
Dec 23, 2011
I'm using ilogic rules to customize an assembly generated by content center of frame generator. I would like replace the parts on my assembly when I change an assembly parameter multivalue.
View 4 Replies
View Related
Apr 4, 2013
I want to use I logic to adjust an assembly constraint based on T/F value passed from a master sketch.
I have passed the paramater T/F and/or a user paramater as described in this thread using link (neet trick).. but when the code fires it only works on the true application and not the false.. if i open the rule and then close it the update button becomes available and when updated the false condition updates sucessfully. I have tried just re-running the rule to no avail. It seams that the only way I can get it to triger a false condition is to open the rule... close it and update.
If Parameter("iTrigger0101000") = 1 Thend37_Header1 = -.25 ind34_Header2 = -.25 inElseIf Parameter("iTrigger0101000") = 0 Thend37_Header1 = -.25 ind34_Header2 = 0.0 inEnd If
View 2 Replies
View Related
Apr 23, 2013
The setup is: I have a rule which first gets a number of user parameters via input boxes.This rule then runs a number of other rules, using:
iLogicVb.RunRule("Rule 1")iLogicVb.RunRule("Rule 2")iLogicVb.RunRule("Rule 3").Each of these rules control parameters, part/feature/constraint suppression etc. in the top level and subassemblies/parts based on the previously obtained user parameters.
All the rules have the 'Don't run automatically' option selected, so all should only run as intended when I manually run the first rule.When I run the first rule, I enter all the parameters, and the subsequent rules run.The problem is, the suppression states etc. in the subassemblies/parts do not update.
Looking at the parameters dialog box after the rules have run, all user parameters have updated with the new values.If I run the first rule again the subassemblies/parts update correctly.
It appears that the rules that control the suppression states etc. of the subassemblies run using the initial values of the user parameters, i.e. the values as they were before the user input is obtained, rather than the new values.This is confusing me, as the code is structured as follows:
user_parameter_1 = InputBox("User Parameter 1", "Input", "xx")user_parameter_2 = InputBox("User Parameter 2", "Input", "xx")iLogicVb.RunRule("Rule 1")iLogicVb.RunRule("Rule 2")
View 2 Replies
View Related
Apr 16, 2012
How to change the view rep in an assembly
(using oAsmCompDef.RepresentationsManager.DesignViewRepresentations.Item("Red").activate) -
However I am trying to achieve the same with iLogic in a part file (multi-solid).
View 2 Replies
View Related
Jul 9, 2013
I downloaded a model off a website, it is, (excuse my electrical background ignorance) a jumper for terminal blocks.Our electricians use these and cut them down to size as needed.
Is there a way to use iLogic and a form or message box, to prompt upon opening the part as to how many jumpers are needed for the current assembly> It comes stock with 10, but they sometimes only use 2, 3 4 etc. etc..
I didn't model the part, but I can if it will make the rule easier to write.My idea I suppose was to have the part modeled with 2 jumpers and then use ilogic to create more if necessary.
View 4 Replies
View Related
May 10, 2013
I'm looking for a way to change the size of a custom content center part via ilogic. I found a way to replace them on this forum but this is not ideal for, because that creates a new part every time i change the size of the part.
View 2 Replies
View Related
Dec 7, 2012
I have 2 parameters in a part (a spring), "diameter" and "Length".
I change these parameters with iLogic to build several springs.
Is it possible to update the "Part Number" Each time I change the parameters "diameter" and "length"?
I want to get the following:
Mola_Ø-65_L-140
Where 65 is the parameter value and 140 is the length value.
I tried with the code below,
iProperties.Value ("Project", "Part Number") = "Spring_Ø-" Diameter "_L-" Length
but that returns: End of statement expected.
Autodesk Factory Design Suite Ultimate 2014
Autodesk Simulation Mechanical
Autodesk Simulation CFD
Windows 7
View 2 Replies
View Related
Sep 26, 2012
I'm currently trying to make an automated fence generator with Inventor 2012 driven by iLogic rules.
My model is done now, and my BOM information (description & part number) is set correctly.
Now is my problem some parts are not supposed to be in the BOM at a certain moment.
Example.
If fence_type = 1 Then
Beam-001 = default
Else If fence_type = 2 Then
Beam-001 = reference
Else If fence_type = 3 Then
Beam-001 = reference
End If
But what do write to set BOM status of a part?
Inventor 2013
View 5 Replies
View Related
Mar 14, 2012
How can I change the precision of Driven Dimensions. I have a Driven Dimesion in a sketch that I want to use in another dimension later. Let's say that d59 is a Driven Dimension.I want dimension d80 = d59*2. When I measure it using eight decimal places, I can see that it is rounding d59 to 3 decimal places, but I don't want it to do that because then d80 is off.
View 7 Replies
View Related
Dec 7, 2011
I have an assembly with approx. 200 unique parts. Most of them derrived from a common skeleton-file. And some (you could say a lot) iLogic code.
Depending on how big changes one makes, it takes between 10 sec and 60 sec to update. Considering the complexity this is ok.
But the problem is that it is difficult for the user to tell if the update is complete. I have tried to have the last line in my driving rule to show a messagebox: "Updating done". But the messagebox fires to early, and pauses the remaining updating. Even if I call InventorVb.Rebuild and/or ThisDoc.Document.Rebuild in advance.
View 3 Replies
View Related
Dec 20, 2011
I am using a form to make the changes in the assembly, but when I change body styles ( 1 piece to 2 piece) it is not updating correctly unless I regen the rule. It is having trouble with the 2nd body piece. It doesn't want to change it unles I do a regen.
View 8 Replies
View Related
May 28, 2013
I have one problem in ilogic "How to convert the normal dimension to driven dimension through ilogic"
View 4 Replies
View Related
Oct 16, 2012
I am using iLogic to change assembly dimensions, suppress components and constrains. Is there any way to turn off screen updating while iLogic rules are running?
Inventor 2013 SP2
Windows 7, 64 bits
RAM 18GB
Core TM2 Duo CPU 2,99 Gz
View 7 Replies
View Related